# Team Bielefeld-CeBiTec 2024 Wiki

This repository **MUST** contain all coding assets to generate your team's wiki (HTML, CSS, JavaScript, TypeScript, Python, etc).

Images, photos, icons and fonts **MUST** be stored on `static.igem.wiki` using [tools.igem.org](https://tools.igem.org), and Videos **must** be embedded from [iGEM Video Universe](https://video.igem.org).

For up-to-date requirements, resources, help and guidance, visit [competition.igem.org/deliverables/team-wiki](https://competition.igem.org/deliverables/team-wiki).



### Files

The static assets are in the `static` directory. The layout and templates are in the `wiki` directory, and the pages live in the `wiki > pages` directory. Unless you are an experienced and/or adventurous human, you probably shouldn't change other files.

├── README.md                       -> The file you are currently reading
├── public
|   ├── index.html                  -> Single HTML file for the wiki
├── package.json                    -> Manages project metadata and dependencies
├── src/
│   ├── components/                 -> Components (Like Navbar, Timelines, ...)
│   ├── App/                        -> Main React application container
|   |     ├── App.tsx
|   |     └── App.css
│   ├── contents/                   -> Page components for the website
│   │   ├── *.tsx                   
│   │   └── index.ts                -> Declaration file 
│   ├── main.tsx                    -> Entry point of the wiki application
│   ├── pages.ts                    -> Page definition and path mapping
│   ├── utils/                      -> Utility functions
|   |       ├── *.js                -> Extra js files
|   |       └── *.ts                -> Given ts files 
│   └── vite-env.d.ts               -> TypeScript definitions for Vite
├── tsconfig.json                   -> Configures TypeScript options
├── tsconfig.node.json              -> TypeScript settings for Node.js
├── vite.config.ts                  -> Configuration for the Vite tool
└── yarn.lock                       -> Yarn lock file for dependency management





Read me changed for test
Kaya was here
Lisa 
<3
asal say hi 

hellooo it's mee, Flip :D



### Local run 
#### Install npm 
For that, we have to install Node.js from https://nodejs.org/en/download/package-manager
Close Terminal and open again
check installation with: 
  node -v
  npm -v
Close VSC and open it again
#### Install yarn
npm install --global yarn

#### Navigate to folder and install dependencies
cd bielefeld-cebitec
yarn install

#### Run 
yarn run dev




curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.7/install.sh | bash

npm install @mui/material @emotion/react @emotion/styled
npm install @mui/lab
yarn add react-simple-maps
npm -i @types/react-simple-maps

yarn add react-grid-gallery
yarn add react-select
yarn add react-pdf
npm install --save react-grid-gallery


Argument of type 'DSVRowArray<string>' is not assignable to parameter of type 'SetStateAction<never[]>'.
  Type 'DSVRowArray<string>' is not assignable to type 'never[]'.
    The types returned by 'pop()' are incompatible between these types.
      Type 'DSVRowString<string> | undefined' is not assignable to type 'undefined'.
        Type 'DSVRowString<string>' is not assignable to type 'undefined'.

        